"use strict";
const common_vendor = require("../common/vendor.js");
const _sfc_main = {
  __name: "listView",
  props: {
    list: Array
  },
  setup(__props) {
    common_vendor.onLoad(() => {
    });
    const goPage = (url, id) => {
      console.log(id);
      common_vendor.index.navigateTo({
        url
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.f(__props.list, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.name),
            b: common_vendor.t(item.number),
            c: item.id,
            d: common_vendor.o(($event) => goPage("/pages/student/student", item.id), item.id)
          };
        }),
        b: !__props.list.length
      }, !__props.list.length ? {} : {});
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-e6db6be6"], ["__file", "E:/workSpace/WanZai_School_app/components/listView.vue"]]);
wx.createComponent(Component);
